#include <iostream>
using namespace std;

const float DISCOUNT = 0.1;

int main(){
    // Declare variables to store user input
    float first_item_price, second_item_price, tax_rate;
    char have_club_card;


    // Get values of variables from user input
    cout << "Enter price of first item:";
    cin >> first_item_price;

    cout << "Enter price of second item:";
    cin >> second_item_price;

    cout << "Does customer have a club card?(Y/N):";
    cin >> have_club_card;

    cout << "Enter tax rate, e.g. 5.5 for 5.5% tax:";
    cin >> tax_rate;


    // Sum up for base price
    float base_price = first_item_price + second_item_price;


    // Calculate price after discount by applying promotion
    float discount_price;
    if (first_item_price >= second_item_price) {
        discount_price = first_item_price + second_item_price/2;
    } else {
        discount_price = first_item_price/2 + second_item_price;
    }


    // Calculate price after discount by checking whether the user has a club card
    if (have_club_card == 'Y' || have_club_card == 'y') {
        discount_price *= (1 - DISCOUNT);
    } else if (have_club_card != 'N' && have_club_card != 'n') {
        cout << "Invalid club card status.\n";
        return 0;
    }

    // Adding tax to calculate the total price
    float total_price = discount_price * (1 + tax_rate/100);

    // Output results
    cout.setf(ios::fixed);
    cout.setf(ios::showpoint);
    cout.precision(1);
    cout << "Base price: " << base_price << endl;

    cout << "Price after discounts: " << discount_price << endl;

    cout.precision(5);
    cout << "Total price: " << total_price << endl;

    return 0;
}


