#include <iostream>
using namespace std;

const double WEIGHT_KG = 0.453592;
const double HEIGHT_M = 0.0254;


int main () {
    // Declare variables to store user input
    // Units: weight in pounds and height in inches
    double weight, height;

    // Get values of variables from user input
    cout << "Please enter weight (in pounds):";
    cin >> weight;

    cout << "Please enter height (in inches):";
    cin >> height;

    // Convert weight from pound to kg
    weight *= WEIGHT_KG;

    // Convert height from inch to metre
    height *= HEIGHT_M;

    // Calculate BMI index using given formula
    double BMI_index = weight / (height * height);

    // Check the BMI index and outputs the corresponding weight status
    if (BMI_index < 18.5){
        cout << "The weight status is: Underweight" << endl;
    } else if (BMI_index < 25){
        cout << "The weight status is: Normal" << endl;
    } else if (BMI_index < 30){
        cout << "The weight status is: Overweight" << endl;
    } else {
        cout << "The weight status is: Obese" << endl;
    }

    return 0;
}