#include <iostream>
#include <string>
using namespace std;

const double WEEKEND_PER_MINUTE = 0.15;
const double WEEKDAY_DAYTIME_PER_MINUTE = 0.40;
const double WEEKDAY_NIGHTTIME_PER_MINUTE = 0.25;

int main () {
    // Declare variables to store user input
    string day;
    int hour, minute, call_length;
    char colon;

    // Get values of variables from user input
    cout << "Please enter the day of the week, the time the call started and the length of the call in minutes:" << endl;
    cin >> day ;
    cin >> hour >> colon >> minute;
    cin >> call_length;

    // check which rate should be applied to the time period
    if (day[0] == 'S') {
        cout << "Call cost: " << WEEKEND_PER_MINUTE * call_length << " dollars.\n";  // Weekend
    } else {
        if (hour >= 8 && hour < 18) {
            cout << "Call cost: " << WEEKDAY_DAYTIME_PER_MINUTE * call_length << " dollars.\n"; // Weekday daytime
        } else {
            cout << "Call cost: " << WEEKDAY_NIGHTTIME_PER_MINUTE * call_length << " dollars.\n";  // Weekday night
        }
    }

    return 0;
}